# Uses of Enum Class
javafx.scene.media.MediaException.Type

Packages that use MediaException.Type
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of MediaException.Type in javafx.scene.media

Methods in javafx.scene.media that return MediaException.Type
Modifier and Type
Method
Description
`MediaException.Type`
MediaException.`getType()`
Retrieves the category into which this error falls.
`static MediaException.Type`
MediaException.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MediaException.Type[]`
MediaException.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.